%define patch_pkg_version 2

Summary:	Instruments for the timidity midi->wave converter/player
Name:		timidity-patch-gravis
Version:	1.0
Release:	%mkrel 38
License:	Public Domain
URL:		http://www.timidity.jp/
# Patches at http://www.cs.umbc.edu/pub/midia/instruments.tar.gz
Source0:	midia-instruments.tar.bz2
Source1:	http://www.timidity.jp/dist/cfg/midia.cfg
Source2:	http://www.timidity.jp/dist/cfg/gravis.cfg
Source3:	http://www.stardate.bc.ca/eawpatches/eawpats/britepno.pat
Source4:	http://www.stardate.bc.ca/eawpatches/eawpats/pistol.pat
Source5:	timidity-gravis.cfg
Provides:	timidity-instruments = %{patch_pkg_version}
Obsoletes:	timidity-instruments
Group:		Sound/Midi
BuildArch:	noarch

%description
This package contains a set of instruments for the timidity midi->wave
converter/player.

%prep
%setup -q -c -T -a 0

%install
mkdir -p %{buildroot}%{_datadir}/timidity
cp -r instruments %{buildroot}%{_datadir}/timidity/gravis
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/timidity/gravis/midia.cfg
install -m644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/timidity/gravis/gravis.cfg
install -m644 %{SOURCE5} -D %{buildroot}%{_sysconfdir}/timidity/timidity-gravis.cfg
install -m644 %{SOURCE3} -D %{buildroot}%{_datadir}/timidity/gravis/britepno.pat
install -m644 %{SOURCE4} -D %{buildroot}%{_datadir}/timidity/gravis/pistol.pat

%post
%{_sbindir}/update-alternatives --install %{_sysconfdir}/timidity/timidity.cfg timidity.cfg %{_sysconfdir}/timidity/timidity-gravis.cfg 30

%postun
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove timidity.cfg %{_sysconfdir}/timidity/timidity-gravis.cfg
fi

%triggerpostun -- TiMidity++ <= 2.13.2-1mdk
%{_sbindir}/update-alternatives --install %{_sysconfdir}/timidity/timidity.cfg timidity.cfg %{_sysconfdir}/timidity/timidity-gravis.cfg 30

%files
%{_datadir}/timidity/gravis
%dir %{_sysconfdir}/timidity/gravis
%config(noreplace) %{_sysconfdir}/timidity/gravis/gravis.cfg
%config(noreplace) %{_sysconfdir}/timidity/gravis/midia.cfg
%config(noreplace) %{_sysconfdir}/timidity/timidity-gravis.cfg







%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.0-38.mga9
+ Revision: 1807702
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0-37.mga8
+ Revision: 1501201
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0-36.mga7
+ Revision: 1276693
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0-35.mga6
+ Revision: 945497
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-34.mga5
+ Revision: 739806
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-33.mga5
+ Revision: 689892
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-32.mga4
+ Revision: 519634
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0-31.mga3
+ Revision: 384584
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 tv <tv> 1.0-30.mga3
+ Revision: 321972
- fix group

* Mon Feb 07 2011 spuhler <spuhler> 1.0-29.mga1
+ Revision: 48459
- removed buildroot definition from .spec
- imported package timidity-patch-gravis


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-29mdv2011.0
+ Revision: 607998
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-28mdv2010.1
+ Revision: 524230
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0-27mdv2010.0
+ Revision: 427378
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0-26mdv2009.0
+ Revision: 225750
- rebuild

* Fri Jan 04 2008 Götz Waschk <waschk@mandriva.org> 1.0-25mdv2008.1
+ Revision: 144832
- fix alternatives uninstallation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 20 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-24mdv2007.1
+ Revision: 146926
- bump release

  + Pixel <pixel@mandriva.com>
    - fix typo making alternatives break (#29527)

* Wed Feb 28 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-23mdv2007.1
+ Revision: 126841
- add #extension in config files to avoid old timidity used by SDL_mixer
  gets syntax errors
- fix other broken path

* Wed Feb 28 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-22mdv2007.1
+ Revision: 126837
- bump
- fix paths in config

* Wed Dec 13 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-21mdv2007.1
+ Revision: 96508
- release
- fix versioned provides

* Wed Dec 13 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-20mdv2007.1
+ Revision: 96504
- import old GUS timidity patterns
- Create timidity-patch-gravis

